// Validation is a blocking step
export const WORKFLOW_BEHAVIOR_VALIDATION = 'VALIDATION';
export const WORKFLOW_DECISION_ACCEPTED = 'ACCEPTED';
export const WORKFLOW_DECISION_REJECTED = 'REJECTED';
export const WORKFLOW_BEHAVIOR_VALIDATION_DECISIONS = [
  WORKFLOW_DECISION_REJECTED,
  WORKFLOW_DECISION_ACCEPTED,
];
// Information is a non-blocking step
export const WORKFLOW_BEHAVIOR_INFORMATION = 'INFORMATION';
export const WORKFLOW_BEHAVIOR_ACK = 'ACK';
export const WORKFLOW_BEHAVIOR_INFORMATION_DECISIONS = [WORKFLOW_BEHAVIOR_ACK];
export const WORKFLOW_BEHAVIOR_ADVISEMENT = 'ADVISEMENT';
export const WORKFLOW_DECISION_POSITIVE = 'POSITIVE';
export const WORKFLOW_DECISION_NEGATIVE = 'NEGATIVE';
export const WORKFLOW_DECISION_EXTERNALLY = 'EXTERNALLY';
export const WORKFLOW_BEHAVIOR_ADVISEMENT_DECISIONS = [
  WORKFLOW_DECISION_POSITIVE,
  WORKFLOW_DECISION_NEGATIVE,
  WORKFLOW_DECISION_EXTERNALLY,
];
export const WORKFLOW_ENUM = [
  WORKFLOW_BEHAVIOR_VALIDATION,
  WORKFLOW_BEHAVIOR_INFORMATION,
  WORKFLOW_BEHAVIOR_ADVISEMENT,
];
